/*
 * This class provides the ability for an Info Panel and a bunch of
 * other panels to be loaded at a later time than when the program is loaded.
 * This is specific to Info Panels, though if I find a need for something
 * similar at a future date, I may change it to be more generic.
 * For information of the use of the DelayInfo class, refer to the accompanying
 * documentation.
 */

#import <objc/Object.h>

@interface InfoController:Object
{
    id	infoPanel;
    id	helpPanel;
    id	licensePanel;
    id	preferencesPanel;
}

+ new;				// make sure that infoPanel is nil.
- setInfoPanel:anObject;	// set the infoPanel.
- setHelpPanel:anObject;	// set the helpPanel.
- setLicensePanel:anObject;	// set the licensePanel.
- setPreferencesPanel:anObject;	// set the preferencesPanel.
- infoPanel;			// return the infoPanel, or load it.
- helpPanel;			// return the helpPanel, or load it.
- licensePanel;			// return the licensePanel, or load it.
- preferencesPanel;		// return the preferencesPanel, or load it.
- info:sender;			// make the info panel be up there.
- help:sender;			// make the help panel be up there.
- license:sender;		// make the license panel be up there.
- preferences:sender;		// make the preferences panel be up there.

- write:(NXTypedStream *)stream;
- read:(NXTypedStream *)stream;

@end
